Package org.apache.lucene.sandbox.facet.recorders

# Interface Reducer

public interface Reducer
Reducer for numeric values.

WARNING: This API is experimental and might change in incompatible ways in the next release.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final Reducer`
  `MAX`
  Reducer that returns MAX of two values.
  `static final Reducer`
  `SUM`
  Reducer that returns SUM of two values.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `double`
  `reduce(double a, double b)`
  Double values reducer.
  `float`
  `reduce(float a, float b)`
  Float values reducer.
  `int`
  `reduce(int a, int b)`
  Int values reducer.
  `long`
  `reduce(long a, long b)`
  Long values reducer.

- ## Field Details

  - ### MAX

    static final Reducer MAX
    Reducer that returns MAX of two values.

  - ### SUM

    static final Reducer SUM
    Reducer that returns SUM of two values.

- ## Method Details

  - ### reduce

    int reduce(int a, int b)
    Int values reducer.

  - ### reduce

    long reduce(long a, long b)
    Long values reducer.

  - ### reduce

    float reduce(float a, float b)
    Float values reducer.

  - ### reduce

    double reduce(double a, double b)
    Double values reducer.